Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1268412 - Please pull patches for Fedora DPDK package
Summary: Please pull patches for Fedora DPDK package
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: dpdk
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neil Horman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-02 18:57 UTC by Aaron Conole
Modified: 2015-10-07 13:59 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-07 13:59:04 UTC
Type: Bug


Attachments (Terms of Use)

Description Aaron Conole 2015-10-02 18:57:46 UTC
Git address: git://bytheb.org/dpdk.git

All patches on mainline; SHA sums as follows:

 1. f8c235c907a979ce2b5bf7ba30a6ba06e1495855
 2. a199da43d07f79de543be31120292641de35f4c8
 3. 24952bd83d8a03bcf6d656ed14b65913123eb5aa
 4. f961f12771481fe7200bccc2364e5dd1be1c6915
 5. 7c47af9e002b1ec68057ec96ac29c1597559bc91
 6. a0dcad0075939d8e8b0c0750eb228127a3337521
 7. 4a192f9082293952431c6f4bc8ed23ec9dd740c8
 8. b6c6c73d13b78d21acbd2e313dca16549c24ee44
 9. 549fcba8af0af330b8fceaa56eb3adbfc11c7448
10. 735beec75d766bb6dff1509e7f40bee967b580d1
11. adda67cfae904b232df07c061f3869fe8e613818

Thanks.

Comment 1 Neil Horman 2015-10-05 14:29:52 UTC
I just noticed something while backporting this.  One of your commits (aee079) modifies the config file in such a way that kni and igb_uio kernel modules are built.  I understand that we're not including those in the package, but we are including the pmd that uses it with this change, which means that pmd will not be functional.  That will need to be backed out, both from Fedora and RHEL.

Comment 2 Aaron Conole 2015-10-05 14:43:26 UTC
Apologies, I must have done something wrong then.

Just so I don't get any modifications incorrect, on master of that repository, commit ID 549fcba... is the commit which is being discussed (the one you reference is on the Proposal_for_Neil branch, which I've deleted). It is almost completely identical to the aee079c: I added acked-by lines to the commit message.

As for the PMD, is that the IGB and EM PMDs? Will we need to enable the IGB_UIO kmod for this set of changes? I'll do some additional investigation and exchange mails, thanks.

Comment 3 Neil Horman 2015-10-05 14:47:44 UTC
hmm, let me look closer, the commit I referenced is accurate (I didn't do individual commits, I just merged the Proposal for Neil branch, which appears to not be deleted, as I have access to it from a fresh repository.  Perhaps you forgot to push the delete?).

Regardless, I'm referring to the igb_uio.ko module, which I think is required for the em pmd to work properly (the em pmd I think encompasses both the e1000 and igb hardware).

Comment 4 Panu Matilainen 2015-10-06 05:57:59 UTC
Huh? The last version where igb_uio.ko was required for anything was DPDK 1.7, 
 since then VFIO support has been available and since 2.0 there's also generic PCI UIO. That half the PMDs are disabled in the Fedora package is just a remnant from the 1.7 days (commit fe6107da05c0db442c7ace1e87b1520f30aded67)

Comment 5 Neil Horman 2015-10-06 14:09:35 UTC
ok, apologies, it looks like the previous branch I pulled was doing something flaky and allowed the uio code to build.  Pulling the master branch (as indicated by comment 2) resolves the issue. I'll commit this today.  Thanks!

Comment 6 Aaron Conole 2015-10-07 13:59:04 UTC
Thanks


Note You need to log in before you can comment on or make changes to this bug.